Subject: Re: [PATCH 3/3] Documentation: netconsole: add support for cmdline targets

From: Breno Leitao <[email-masked]>
Date: Thu, 5 Oct 2023 03:29:02 -0700

On Wed, Oct 04, 2023 at 01:09:16PM -0700, Joel Becker wrote:
> On Mon, Oct 02, 2023 at 08:53:49AM -0700, Breno Leitao wrote:
> > @@ -155,6 +152,24 @@ You can also update the local interface dynamically. This is especially
> >  useful if you want to use interfaces that have newly come up (and may not
> >  have existed when netconsole was loaded / initialized).
> >  
> > +You can control and modify the targets defined at boot time (or module load
> > +time) by creating special targets names. These special targets are named
> > +`cmdline` concatenated to an integer, example: `cmdline0`.
> 
> The special names are already "created", so perhaps it's a little
> clearer to say something like:
> 
> ```
> +Netconsole targets defined at boot time (or module load time) with the
> +`netconsole=` param are assigned the name `cmdline<index>`.  For
> +example, the first target in the parameter is named `cmdline0`.  You
> +can control and modify these targets by creating configfs directories
> +with the matching name.
> ```

That is way better. Thanks for the review.
I will send an updated version soon.